Skip to main content
GET
Aggregated latency metrics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from_ns
integer<int64>

Start of the time window as epoch nanoseconds.

to_ns
integer<int64>

End of the time window as epoch nanoseconds.

message_type
string

Optional message type filter.

time_field
enum<string>
default:complete_time

Which timestamp to filter/aggregate on.

Available options:
complete_time,
create_time
bucket_ns
integer

Bucket size in nanoseconds (default 1000000000).

Required range: x >= 1

Response

Metrics result

Aggregated latency metrics response.

from_time
integer<int64>

Start of the response time window in epoch nanoseconds.

to_time
integer<int64>

End of the response time window in epoch nanoseconds.

bucket_size_ns
integer<int64>

Bucket size for time-series aggregation in nanoseconds.

message_type
string

Message type filter or message type reported by the record.

time_field
string

Timestamp field used for filtering or aggregation.

summary
object

Aggregate latency statistics.

buckets
object[]

Time-bucketed metric rows.